|  | reflex::BufferedInput::streambuf Class Reference updated Sat Oct 7 2023 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
reflex::BufferedInput::streambuf Class Reference

Buffered stream buffer for reflex::Input, derived from std::streambuf. More...

`#include <input.h>`

Inheritance diagram for reflex::BufferedInput::streambuf:
[legend]
Collaboration diagram for reflex::BufferedInput::streambuf:
[legend]

## Public Member Functions

| streambuf (const reflex::BufferedInput &input)
| streambuf (const reflex::Input &input)

## Protected Member Functions

virtual int_type | underflow ()
virtual int_type | uflow ()
virtual std::streamsize | xsgetn (char *s, std::streamsize n)
virtual std::streamsize | showmanyc ()

## Protected Attributes

BufferedInput | input_

## Detailed Description

Buffered stream buffer for reflex::Input, derived from std::streambuf.

## Constructor & Destructor Documentation

reflex::BufferedInput::streambuf::streambuf | ( | const reflex::BufferedInput & | input | ) |

inline

reflex::BufferedInput::streambuf::streambuf | ( | const reflex::Input & | input | ) |

inline

## Member Function Documentation

virtual std::streamsize reflex::BufferedInput::streambuf::showmanyc | ( |  | ) |

inline protected virtual

virtual int_type reflex::BufferedInput::streambuf::uflow | ( |  | ) |

inline protected virtual

virtual int_type reflex::BufferedInput::streambuf::underflow | ( |  | ) |

inline protected virtual

virtual std::streamsize reflex::BufferedInput::streambuf::xsgetn | ( | char * | s,
|  | std::streamsize | n
| ) |  |

inline protected virtual

## Member Data Documentation

BufferedInput reflex::BufferedInput::streambuf::input_

protected

The documentation for this class was generated from the following file:

- input.h